<template>
  <div class="container">
    <div class="partner-box">
      <div class="box">
        <div class="title">
          <span>Find your partner for life</span>
        </div>
        <slick
          ref="slick"
          :options="slickOptions"
          @afterChange="handleAfterChange"
        >
          <div
            class="information"
            v-for="person in personDates"
            :key="person.name"
          >
            <div class="person-image">
              <img :src="person.src" alt="photo" />
            </div>
            <div class="person-details">
              <div class="person-elena item">
                <div class="name">
                  <span>{{ person.name_elena }}</span>
                </div>
                <div class="description">
                  <span>{{ person.description_elena }}</span>
                </div>
              </div>
              <div class="person-darren item">
                <div class="name">
                  <span>{{ person.name_darren }}</span>
                </div>
                <div class="description">
                  <span>{{ person.description_darren }}</span>
                </div>
              </div>
            </div>
          </div>
        </slick>
        <div class="arrows-box">
          <div class="line-box">
            <div class="line" :class="{ active: currentSlide }"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Slick from "vue-slick";
export default {
  data: () => ({
    slickOptions: {
      infinite: true,
      dots: true,
      slidesToShow: 1,
      slidesToScroll: 1,
      appendArrows: ".arrows-box",
      dotsClass: "slick-dots",
      responsive: [
        {
          breakpoint: 575,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            infinite: true,
            dots: true,
            appendDots: '.person-image'
          },
        },
      ],
    },

    personDates: [
      {
        name_elena: "Elena S.",
        description_elena:
          'With respect and gratitude I would like to say: Thank you for the wonderful change in my life. Thanks to Olivia Date website, where I met a good person. And now I have a new life and a "new beginning" in life... We met here, and a few months later we met in person. As soon as our eyes met, we realized that we had found the right partner. Now we are planning a joint vacation and we are on the seventh heaven with happiness. Do not be afraid of international barriers, for love can not be a limitation.',
        src: require("./img/person_photo.svg"),
        name_darren: "Darren C.",
        description_darren:
          "Thanks to Olivia Date I met the love of my life, Elena. And with the help of a translator, it made it easier to communicate with Elena. Her and I are very fond of each other and will continue to grow our relationship.",
      },
      {
        name_elena: "Elena S.",
        description_elena:
          'With respect and gratitude I would like to say: Thank you for the wonderful change in my life. Thanks to Olivia Date website, where I met a good person. And now I have a new life and a "new beginning" in life... We met here, and a few months later we met in person. As soon as our eyes met, we realized that we had found the right partner. Now we are planning a joint vacation and we are on the seventh heaven with happiness. Do not be afraid of international barriers, for love can not be a limitation.',
        src: require("./img/person_photo.svg"),
        name_darren: "Darren C.",
        description_darren:
          "Thanks to Olivia Date I met the love of my life, Elena. And with the help of a translator, it made it easier to communicate with Elena. Her and I are very fond of each other and will continue to grow our relationship.",
      },
    ],

    currentSlide: 0,
  }),

  components: {
    Slick,
  },

  methods: {
    next() {
      this.$refs.slick.next();
    },

    prev() {
      this.$refs.slick.prev();
    },

    handleAfterChange(event, slick, currentSlide) {
      if (currentSlide >= 0) {
        this.currentSlide = currentSlide;
      }
      console.log("handleAfterChange", currentSlide);
    },
  },
};
</script>

<style lang='scss' src='./styles/partner.scss'>
</style>